javax.xml.transform

## Interface Result

- All Known Implementing Classes:
    DOMResult, SAXResult, StAXResult, StreamResult

      public interface Result

  An object that implements this interface contains the information needed to build a transformation result tree.

  Author:
    Jeff Suttor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PI_DISABLE_OUTPUT_ESCAPING` The name of the processing instruction that is sent if the result tree disables output escaping.
    `static java.lang.String` | `PI_ENABLE_OUTPUT_ESCAPING` The name of the processing instruction that is sent if the result tree enables output escaping at some point after having received a PI_DISABLE_OUTPUT_ESCAPING processing instruction.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getSystemId()` Get the system identifier that was set with setSystemId.
    `void` | `setSystemId(java.lang.String systemId)` Set the system identifier for this Result.

- - ### Field Detail

    - #### PI_DISABLE_OUTPUT_ESCAPING

          static final java.lang.String PI_DISABLE_OUTPUT_ESCAPING

      The name of the processing instruction that is sent if the result tree disables output escaping.

      Normally, result tree serialization escapes & and < (and possibly other characters) when outputting text nodes. This ensures that the output is well-formed XML. However, it is sometimes convenient to be able to produce output that is almost, but not quite well-formed XML; for example, the output may include ill-formed sections that will be transformed into well-formed XML by a subsequent non-XML aware process. If a processing instruction is sent with this name, serialization should be output without any escaping.

      Result DOM trees may also have PI_DISABLE_OUTPUT_ESCAPING and PI_ENABLE_OUTPUT_ESCAPING inserted into the tree.

      See Also:
        disable-output-escaping in XSLT Specification, Constant Field Values

    - #### PI_ENABLE_OUTPUT_ESCAPING

          static final java.lang.String PI_ENABLE_OUTPUT_ESCAPING

      The name of the processing instruction that is sent if the result tree enables output escaping at some point after having received a PI_DISABLE_OUTPUT_ESCAPING processing instruction.
      See Also:
        disable-output-escaping in XSLT Specification, Constant Field Values

  - ### Method Detail

    - #### setSystemId

          void setSystemId(java.lang.String systemId)

      Set the system identifier for this Result.

      If the Result is not to be written to a file, the system identifier is optional. The application may still want to provide one, however, for use in error messages and warnings, or to resolve relative output identifiers.

      Parameters:
        `systemId` - The system identifier as a URI string.

    - #### getSystemId

          java.lang.String getSystemId()

      Get the system identifier that was set with setSystemId.
      Returns:
        The system identifier that was set with setSystemId, or null if setSystemId was not called.

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.